com.impinj.stp

## Class StpApi.SerialNumberRange.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder<BuilderType>
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessage.Builder<StpApi.SerialNumberRange.Builder>
      - - com.impinj.stp.StpApi.SerialNumberRange.Builder

- All Implemented Interfaces:
    com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, StpApi.SerialNumberRangeOrBuilder, java.lang.Cloneable
  Enclosing class:
    StpApi.SerialNumberRange

      public static final class StpApi.SerialNumberRange.Builder
      extends com.google.protobuf.GeneratedMessage.Builder<StpApi.SerialNumberRange.Builder>
      implements StpApi.SerialNumberRangeOrBuilder

  Protobuf type `Impinj.STP.SerialNumberRange` Serial number range can be up to 496-bits or full length of EPC (pad left with zeros)

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StpApi.SerialNumberRange` | `build()`
    `StpApi.SerialNumberRange` | `buildPartial()`
    `StpApi.SerialNumberRange.Builder` | `clear()`
    `StpApi.SerialNumberRange.Builder` | `clearBitOffset()`
    `StpApi.SerialNumberRange.Builder` | `clearSerialNumberRangeEnd()`
    `StpApi.SerialNumberRange.Builder` | `clearSerialNumberRangeFormat()`
    `StpApi.SerialNumberRange.Builder` | `clearSerialNumberRangeStart()`
    `StpApi.SerialNumberRange.Builder` | `clone()`
    `int` | `getBitOffset()`
    `StpApi.SerialNumberRange` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()`
    `long` | `getSerialNumberRangeEnd()`
    `StpApi.SerialNumberRangeFormat` | `getSerialNumberRangeFormat()`
    `long` | `getSerialNumberRangeStart()`
    `boolean` | `hasBitOffset()`
    `boolean` | `hasSerialNumberRangeEnd()`
    `boolean` | `hasSerialNumberRangeFormat()`
    `boolean` | `hasSerialNumberRangeStart()`
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `StpApi.SerialNumberRange.Builder` | `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `StpApi.SerialNumberRange.Builder` | `mergeFrom(com.google.protobuf.Message other)`
    `StpApi.SerialNumberRange.Builder` | `mergeFrom(StpApi.SerialNumberRange other)`
    `StpApi.SerialNumberRange.Builder` | `setBitOffset(int value)`
    `StpApi.SerialNumberRange.Builder` | `setSerialNumberRangeEnd(long value)`
    `StpApi.SerialNumberRange.Builder` | `setSerialNumberRangeFormat(StpApi.SerialNumberRangeFormat value)`
    `StpApi.SerialNumberRange.Builder` | `setSerialNumberRangeStart(long value)`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

      `addRepeatedField, clearField, getAllFields, getField, getFieldBuilder, getParentForChildren, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, isClean, markClean, mergeUnknownFields, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

      `findInitializationErrors, getInitializationErrorString, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

      `addAll, newUninitializedMessageException`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

- - ### Method Detail

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.SerialNumberRange.Builder>`

    - #### clear

          public StpApi.SerialNumberRange.Builder clear()

      Specified by:
        `clear` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clear` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clear` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.SerialNumberRange.Builder>`

    - #### clone

          public StpApi.SerialNumberRange.Builder clone()

      Specified by:
        `clone` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clone` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clone` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.SerialNumberRange.Builder>`

    - #### getDescriptorForType

          public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.SerialNumberRange.Builder>`

    - #### getDefaultInstanceForType

          public StpApi.SerialNumberRange getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### build

          public StpApi.SerialNumberRange build()

      Specified by:
        `build` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `build` in interface `com.google.protobuf.MessageLite.Builder`

    - #### buildPartial

          public StpApi.SerialNumberRange buildPartial()

      Specified by:
        `buildPartial` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

    - #### mergeFrom

          public StpApi.SerialNumberRange.Builder mergeFrom(com.google.protobuf.Message other)

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<StpApi.SerialNumberRange.Builder>`

    - #### mergeFrom

          public StpApi.SerialNumberRange.Builder mergeFrom(StpApi.SerialNumberRange other)

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.SerialNumberRange.Builder>`

    - #### mergeFrom

          public StpApi.SerialNumberRange.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                            com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                     throws java.io.IOException

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<StpApi.SerialNumberRange.Builder>`
      Throws:
        `java.io.IOException`

    - #### hasSerialNumberRangeStart

          public boolean hasSerialNumberRangeStart()

      Specified by:
        `hasSerialNumberRangeStart` in interface `StpApi.SerialNumberRangeOrBuilder`

    - #### getSerialNumberRangeStart

          public long getSerialNumberRangeStart()

      Specified by:
        `getSerialNumberRangeStart` in interface `StpApi.SerialNumberRangeOrBuilder`

    - #### setSerialNumberRangeStart

          public StpApi.SerialNumberRange.Builder setSerialNumberRangeStart(long value)

    - #### clearSerialNumberRangeStart

          public StpApi.SerialNumberRange.Builder clearSerialNumberRangeStart()

    - #### hasSerialNumberRangeEnd

          public boolean hasSerialNumberRangeEnd()

      Specified by:
        `hasSerialNumberRangeEnd` in interface `StpApi.SerialNumberRangeOrBuilder`

    - #### getSerialNumberRangeEnd

          public long getSerialNumberRangeEnd()

      Specified by:
        `getSerialNumberRangeEnd` in interface `StpApi.SerialNumberRangeOrBuilder`

    - #### setSerialNumberRangeEnd

          public StpApi.SerialNumberRange.Builder setSerialNumberRangeEnd(long value)

    - #### clearSerialNumberRangeEnd

          public StpApi.SerialNumberRange.Builder clearSerialNumberRangeEnd()

    - #### hasBitOffset

          public boolean hasBitOffset()

      Specified by:
        `hasBitOffset` in interface `StpApi.SerialNumberRangeOrBuilder`

    - #### getBitOffset

          public int getBitOffset()

      Specified by:
        `getBitOffset` in interface `StpApi.SerialNumberRangeOrBuilder`

    - #### setBitOffset

          public StpApi.SerialNumberRange.Builder setBitOffset(int value)

    - #### clearBitOffset

          public StpApi.SerialNumberRange.Builder clearBitOffset()

    - #### hasSerialNumberRangeFormat

          public boolean hasSerialNumberRangeFormat()

      Specified by:
        `hasSerialNumberRangeFormat` in interface `StpApi.SerialNumberRangeOrBuilder`

    - #### getSerialNumberRangeFormat

          public StpApi.SerialNumberRangeFormat getSerialNumberRangeFormat()

      Specified by:
        `getSerialNumberRangeFormat` in interface `StpApi.SerialNumberRangeOrBuilder`

    - #### setSerialNumberRangeFormat

          public StpApi.SerialNumberRange.Builder setSerialNumberRangeFormat(StpApi.SerialNumberRangeFormat value)

    - #### clearSerialNumberRangeFormat

          public StpApi.SerialNumberRange.Builder clearSerialNumberRangeFormat()